Pybind11 require Eigen >= 3.2.7 in python_orocos_kdl

asked 2021-02-26 11:42:35 -0500

bdgitr gravatar image

Hi,

I am buidling catkin workspace Jessie on Raspberry Pi following this instruction [ https://wiki.ros.org/kinetic/Installa...

However, I encounter error with python_orocos_kdl package which is

error: static assertion fail : Eigen support in pybind11 requires Eigen >= 3.2.7

Since the latest version of libeigen3-dev of Jessie Debian is 3.2.2-3 [ https://packages.debian.org/jessie/li...

My commands have been used:

$ cd ros_catkin_ws
$ roslocate info python_orocos_kdl --distro=kinetic >> kinetic-ros_comm-wet.rosinstall
$ wstool init -j4 src kinetic-ros_comm-wet.rosinstall
$./src/catkin/bin/catkin_make_isolated --install --install-space  /opt/ros/kinetic -DCMAKE_BUILD_TYPE=Release

Are there any ways to skip the eigen test since the error is only for compiling test cases; the pybind11 is still work.

Thanks in advance.

edit retag flag offensive close merge delete